{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{# flashes #}
{% macro flashes(attrs={}) %}
    {% for label, flashes in app.session.flashbag.all %}
        {% for flash in flashes %}
            <div class="bootstrap-notify-alert" data-type="{{ label }}">{{ flash|trans|raw|nl2br }}</div>
        {% endfor %}
    {% endfor %}
{% endmacro %}

{# bradcrumb #}
{% macro breadcrumb(paths) %}
    <div class="breadcrumb-container">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <ol class="breadcrumb">
                        <li><a href="{{ path('home') }}"><i class="fa fa-home"></i> Accueil</a></li>
                        {% for path in paths %}
                            {% set label = path is iterable ? path[0] : path %}
                            {% set route = path is iterable ? path[1] : null %}
                            {% set args = path is iterable and path[2] is defined ? path[2] : [] %}
                            {% if loop.last %}
                                <li class="active">{{ label | trans }}</li>
                            {% else %}
                                <li><a href="{{ route ? path(route, args) : '#' }}">{{ label | trans }}</a></li>
                            {% endif %}
                        {% endfor %}
                    </ol>
                </div>
            </div>
        </div>
    </div>
{% endmacro %}

{# role_label #}
{% macro role_label(role) %}
    {% if 'ADMIN' in role %}
        <i class="fa fa-user-secret"></i>
    {% endif %}
    {{ {
        ROLE_SUPER_ADMIN: "Super administrateur",
        ROLE_ADMIN: "Administrateur",
        ROLE_MANAGER: "Référent",
        ROLE_USER: "Utilisateur"
    }[role] }}
{% endmacro %}
